Package javax.media.j3d

# Class WakeupAnd

java.lang.Object
javax.media.j3d.WakeupCondition
javax.media.j3d.WakeupAnd

public final class WakeupAnd extends WakeupCondition
Class specifying any number of wakeup conditions ANDed together. This WakeupCondition object specifies that Java 3D should awaken this Behavior when all of the WakeupCondition's constituent wakeup criteria become valid.

Note that a unique WakeupCriterion object must be used for each individual element in the array of wakeup criteria.

## Constructor Summary

Constructors
Constructor
Description
`WakeupAnd(WakeupCriterion[] conditions)`
Constructs a new WakeupAnd criterion.

## Method Summary

### Methods inherited from class javax.media.j3d.WakeupCondition

`allElements, triggeredElements`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WakeupAnd

public WakeupAnd(WakeupCriterion[] conditions)
Constructs a new WakeupAnd criterion.

Parameters:
  `conditions` - a vector of individual Wakeup conditions